Legrand / Raritan / Server Technology Xerus™ JSON-RPC API

Loading...
Searching...
No Matches
Public Attributes | List of all members
pdumodel::Outlet::PowerControlEvent Struct Reference

Event: Power control was initiated. More...

Inheritance diagram for pdumodel::Outlet::PowerControlEvent:

## Public Attributes
PowerState | state
| State the outlet was switched to (if cycle is false)
boolean | cycle
| Whether the outlet was cycled.
Public Attributes inherited from event::UserEvent
string | actUserName
| user who triggered event
string | actIpAddr
| ip or device on which user is logged in
Public Attributes inherited from idl::Event
Object | source
| IDL object that originated the event.

## Detailed Description

Event: Power control was initiated.

Definition at line 132 of file Outlet.idl.

## Member Data Documentation

## ◆ cycle

boolean pdumodel::Outlet::PowerControlEvent::cycle

Whether the outlet was cycled.

Definition at line 134 of file Outlet.idl.

## ◆ state

PowerState pdumodel::Outlet::PowerControlEvent::state

State the outlet was switched to (if cycle is false)

Definition at line 133 of file Outlet.idl.

The documentation for this struct was generated from the following file:

- Outlet.idl